Skip to main content
GET
List workflow

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer

The number of items to return

Required range: 1 <= x <= 100
Example:

10

starting_after
string

The ID of the last item in the previous page - used for pagination. You can use the value of the next_starting_after field from the previous response.

Example:

"01956fbd-0eb1-72db-a565-82977a586084"

ids
string

Comma-separated list of workflow IDs to filter by

Example:

"01956fbd-0eb1-72db-a565-82977a586084,01956fbd-0eb1-72db-a565-82977a586085"

Search by name or description

Example:

"Add Lead to Campaign"

status
string

The status of the job. Multiple statuses can be provided as a comma-separated list. Valid statuses are: DRAFT, ACTIVE, PAUSED, 0, 1, 2

Example:

"1,0,2"

sort_column
enum<string>

The column to sort the results by

Available options:
timestamp_created,
timestamp_updated,
name
Example:

"timestamp_created"

sort_order
enum<string>

The order to sort the results by

Available options:
asc,
desc
Example:

"timestamp_updated"

Response

The list of Workflow

items
Workflow · object[]
required

The list of Workflow

next_starting_after
string

The filter for getting the next items after this one, this could either be a UUID, a timestamp, on an email depending on the specific API

Examples:

"01a1ff7c-f8e4-7f8b-b498-9e1e32b3b11d"

"2026-11-21T19:02:22.692Z"